# loki.transformations.sanitise.tests.test_sanitise

Functions

`test_sanitise_pipeline`(tmp_path, frontend, ...) | Test the agglomerated `SanitisePipeline` with different settings.
`test_transformation_sanitise`(frontend, ...) | Test that the selective dispatch of the sanitisations works.

test_transformation_sanitise(frontend, resolve_associate, resolve_sequence, tmp_path)

  Test that the selective dispatch of the sanitisations works.

test_sanitise_pipeline(tmp_path, frontend, substitute_expressions, resolve_associates, resolve_sequence_associations)

  Test the agglomerated `SanitisePipeline` with different settings.